Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Ssteqr

    java.lang.Object
      org.netlib.lapack.Ssteqr

    public class Ssteqr

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSTEQR computes all eigenvalues and, optionally, eigenvectors of a
     *  symmetric tridiagonal matrix using the implicit QL or QR method.
     *  The eigenvectors of a full or band symmetric matrix can also be found
     *  if SSYTRD or SSPTRD or SSBTRD has been used to reduce this matrix to

     *  tridiagonal form.
     *
     *  Arguments
     *  =========
     *
     *  COMPZ   (input) CHARACTER*1
     *          = 'N':  Compute eigenvalues only.
     *          = 'V':  Compute eigenvalues and eigenvectors of the original

     *                  symmetric matrix.  On entry, Z must contain the
     *                  orthogonal matrix used to reduce the original matrix

     *                  to tridiagonal form.
     *          = 'I':  Compute eigenvalues and eigenvectors of the
     *                  tridiagonal matrix.  Z is initialized to the identity
     *                  matrix.
     *
     *  N       (input) INTEGER
     *          The order of the matrix.  N >= 0.
     *
     *  D       (input/output) REAL array, dimension (N)
     *          On entry, the diagonal elements of the tridiagonal matrix.
     *          On exit, if INFO = 0, the eigenvalues in ascending order.
     *
     *  E       (input/output) REAL array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix.
     *          On exit, E has been destroyed.
     *
     *  Z       (input/output) REAL array, dimension (LDZ, N)
     *          On entry, if  COMPZ = 'V', then Z contains the orthogonal
     *          matrix used in the reduction to tridiagonal form.
     *          On exit, if INFO = 0, then if  COMPZ = 'V', Z contains the
     *          orthonormal eigenvectors of the original symmetric matrix,
     *          and if COMPZ = 'I', Z contains the orthonormal eigenvectors
     *          of the symmetric tridiagonal matrix.
     *          If COMPZ = 'N', then Z is not referenced.
     *
     *  LDZ     (input) INTEGER
     *          The leading dimension of the array Z.  LDZ >= 1, and if
     *          eigenvectors are desired, then  LDZ >= max(1,N).
     *
     *  WORK    (workspace) REAL array, dimension (max(1,2*N-2))
     *          If COMPZ = 'N', then WORK is not referenced.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  the algorithm has failed to find all the eigenvalues in
     *                a total of 30*N iterations; if INFO = i, then i
     *                elements of E have not converged to zero; on exit, D
     *                and E contain the elements of a symmetric tridiagonal
     *                matrix which is orthogonally similar to the original
     *                matrix.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Ssteqr()`

Method Summary
`static void` | `ssteqr(java.lang.String compz, int n, float[] d, int _d_offset, float[] e, int _e_offset, float[] z, int _z_offset, int ldz, float[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ssteqr

    public Ssteqr()

Method Detail

### ssteqr

    public static void ssteqr(java.lang.String compz,
                              int n,
                              float[] d,
                              int _d_offset,
                              float[] e,
                              int _e_offset,
                              float[] z,
                              int _z_offset,
                              int ldz,
                              float[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD